Commit 2736fdff authored by Tristan Gingold's avatar Tristan Gingold

Add ghdl support for simple_tb.

parent a994813b
action = "simulation"
sim_tool = "ghdl"
sim_top = "top_tb"
ghdl_opt = "--ieee=synopsys"
# for general-cores
target = None
modules = {
"local": [ ".." ],
}
#!/bin/sh
set -e
GHDL=${GHDL:-ghdl}
for i in 1 2 3 4 5 6 7 8 9; do
echo
echo "Scenario $i"
$GHDL -r --ieee=synopsys top_tb -gg_scenario=$i --stop-time=5us --assert-level=error | tee sim.log
if [ $? != 0 ]; then
echo "Simulation failed!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
exit 1
fi
# check log
if ! grep -q -F "end of simulation" sim.log; then
echo "Simulation failed!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
exit 1
fi
done
echo "OK!"
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment